## uprightdiff 1.2.0

=== Makefile ===
CFLAGS +=-g -std=c++11 -Wall -O2
PREFIX=/usr

all: uprightdiff test

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s uprightdiff $(DESTDIR)$(PREFIX)/bin/uprightdiff

uprightdiff:
	g++ $(CFLAGS) main.cpp BlockMotionSearch.cpp UprightDiff.cpp \
		-lopencv_highgui \
		-lopencv_core \
		-lopencv_imgproc \
		-lboost_program_options \
		-o uprightdiff

test:
	g++ $(CFLAGS) tests/RollingBlockCounterTest.cpp -lopencv_core -o test
	./test

clean:
	rm -f uprightdiff test

=== debian/changelog ===
uprightdiff (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #871533)

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 08 Aug 2017 16:28:56 -0400

=== debian/control ===
Source: uprightdiff
Section: devel
Priority: optional
Maintainer: Kunal Mehta <legoktm@member.fsf.org>
Build-Depends: debhelper (>= 10), libopencv-highgui-dev, libboost-program-options-dev
Standards-Version: 4.1.0
Homepage: https://www.mediawiki.org/wiki/Uprightdiff
Vcs-Git: https://gerrit.wikimedia.org/r/p/integration/uprightdiff
Vcs-Browser: https://phabricator.wikimedia.org/diffusion/IURD/

Package: uprightdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: examine differences between two images
 This utility examines the differences between two images.
 It produces a visual annotation and reports statistics.
 .
 It is optimised for images which come from browser screenshots.
 It analyses the image for vertical motion, and annotates connected
 regions that have the same vertical displacement. Then it highlights
 any remaining ("residual") differences which are not explained by
 vertical motion on a pixel-by-pixel basis.

## uprightdiff 1.3.0

=== debian/changelog ===
uprightdiff (1.3.0-3build3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:51:08 +0000

uprightdiff (1.3.0-3build2) focal; urgency=medium

  * No-change rebuild for opencv soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 07:40:19 +0000

uprightdiff (1.3.0-3build1) focal; urgency=medium

  * No-change rebuild against libopencv-imgcodecs4.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Nov 2019 20:45:47 +0000

uprightdiff (1.3.0-3) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Kunal Mehta ]
  * Be compatible with opencv4 (Closes: #922599)
    * Pass opencv4 include path to ./configure
    * Add patches for opencv4 compatibility, all forwarded upstream

 -- Kunal Mehta <legoktm@debian.org>  Fri, 15 Nov 2019 15:00:18 -0800

uprightdiff (1.3.0-2) unstable; urgency=medium

  * Update my email
  * Use Gerrit URLs instead of Phabricator/Diffusion
  * Update gbp.conf for new packaging layout
  * Set Rules-Requires-Root: no
  * Set Standards-Version: 4.3.0
  * Configure Salsa Pipeline
  * Update Vcs-* fields after move to salsa
  * Move under maintenance of MediaWiki packaging team
  * Enable hardening flags

 -- Kunal Mehta <legoktm@debian.org>  Fri, 01 Mar 2019 20:52:51 +0000

uprightdiff (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Add support for OpenCV 3.0+ with autotools (Closes: #878549)
  * Bump Standards-Version to 4.1.1
  * Add build dependency upon libopencv-imgcodecs-dev

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 30 Oct 2017 23:09:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: uprightdiff
 Section: devel
 Priority: optional
-Maintainer: Kunal Mehta <legoktm@member.fsf.org>
-Build-Depends: debhelper (>= 10), libopencv-highgui-dev, libboost-program-options-dev
-Standards-Version: 4.1.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
+Uploaders: Kunal Mehta <legoktm@debian.org>
+Build-Depends: debhelper (>= 10), libopencv-highgui-dev, libopencv-imgcodecs-dev,
+ libboost-program-options-dev
+Standards-Version: 4.4.1
 Homepage: https://www.mediawiki.org/wiki/Uprightdiff
-Vcs-Git: https://gerrit.wikimedia.org/r/p/integration/uprightdiff
-Vcs-Browser: https://phabricator.wikimedia.org/diffusion/IURD/
+Vcs-Git: https://salsa.debian.org/mediawiki-team/uprightdiff.git
+Vcs-Browser: https://salsa.debian.org/mediawiki-team/uprightdiff
+Rules-Requires-Root: no
 
 Package: uprightdiff
 Architecture: any

## uprightdiff 1.4.0

=== debian/changelog ===
uprightdiff (1.4.0-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Kunal Mehta <legoktm@debian.org>  Mon, 07 Apr 2025 21:20:56 -0400

uprightdiff (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
    * Drop patches merged upstream
  * Bump debhelper from old 10 to 12.
  * Add various upstream metadata fields
  * Update standards version to 4.5.0, no changes needed.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 03 Sep 2020 14:28:51 -0700

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- CPPFLAGS="-I/usr/include/opencv4"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%uprightdiff-$1.tar.gz%" \
    https://github.com/wikimedia/uprightdiff/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
